GuidesAPI Reference
API Reference

Modify Geometries in Existing Layers

Modify geometries using an HTTP POST request. After receiving the response, there is a delay of several seconds to compile, store and make the modified geometries available in the service. Note: The level (tile grid size) of the layer can only be changed by re-uploading the whole layer, not as a modification operation.

Query Params
string
required

Unique identifier for the layer in the format {app_id}.{mapName}.{layerName}. app_id: app_id of the project modifying the layer; mapName: the map into which the layer is uploaded, default = upload the layer into the app_id's default map; layerName: Name of layer to modify, the maximum length of a layer name and the permitted characters can be looked up in the service via resource 'v8/maps/serviceconfiguration'.

string
required

Action can be append, update or delete.

  • Geometries are identified by their unique geometry_id column value.
  • For an append operation, new geometries in requestBody must not already exist in the layer, and they will be added.
  • For an update, geometries in requestBody must already exist, and these will be replaced.
  • All column values must be specified, not only the changes.
  • For update and delete operation, attribute columns names, sequence order and type must remain unchanged.
  • For delete operation, the geometries must exist and will be removed. Only the geometry_id column is required for this operation.
string
Defaults to "

Specify the quote character to use. Specifying NONE disables quotes.

string

Owner app_id that was used to upload a layer. It is mandatory when a granted app_id is used to access the layer.

string
required

WKT file content

Responses

Language
Credentials
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json